<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>Trustonic Tests: 00200_TrustletDriverCommunication</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.7.2 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<h1>00200_TrustletDriverCommunication<br/>
<small>
[<a class="el" href="group___t_e_s_t___p_e_r_f_o_r_m_a_n_c_e.html">Performance</a>]</small>
</h1>  </div>
</div>
<div class="contents">

<p><b>Involved Components and their required Functionality</b>  
<a href="#_details">More...</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_r_u_s_t_l_e_t_d_r_i_v_e_r_c_o_m_m_u_n_i_c_a_t_i_o_n.html#gaee347a638b46d691f1f42b80a99ab68e">TestCase_GC00101_Trustlet_Ping_SAMPLE_API</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_r_u_s_t_l_e_t_d_r_i_v_e_r_c_o_m_m_u_n_i_c_a_t_i_o_n.html#gad1f27c6b90f63720fff273fec3c0df59">TestCase_GC00301_Trustlet_Driver_Ping_SAMPLE_API</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_r_u_s_t_l_e_t_d_r_i_v_e_r_c_o_m_m_u_n_i_c_a_t_i_o_n.html#gaee5e49affce9044ce2f2c4d21dda6816">TestCase_GC00201_Driver_Ping_SAMPLE_API</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_r_u_s_t_l_e_t_d_r_i_v_e_r_c_o_m_m_u_n_i_c_a_t_i_o_n.html#gac885594f47af7b328deb6636f8c4f93c">TestCase_GC00202_Driver_Ping_SAMPLE_API_NSAMPLES</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_r_u_s_t_l_e_t_d_r_i_v_e_r_c_o_m_m_u_n_i_c_a_t_i_o_n.html#gaff65fc5a982dfceea2f52cc0924bd4b5">TestCase_GC00400_mcMallocWsm</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_r_u_s_t_l_e_t_d_r_i_v_e_r_c_o_m_m_u_n_i_c_a_t_i_o_n.html#ga06977432e72f67d71fe9538915666dc8">TestCase_GC00400_mcMap</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_r_u_s_t_l_e_t_d_r_i_v_e_r_c_o_m_m_u_n_i_c_a_t_i_o_n.html#ga8d7c2925ea87a19a7f849cf5621ab651">TestCase_GC00400_mcMapAndDriverPing1x4k</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_r_u_s_t_l_e_t_d_r_i_v_e_r_c_o_m_m_u_n_i_c_a_t_i_o_n.html#gaf8d79591f439c261c828ad9b8a549b0b">TestCase_GC00400_mcMapAndDriverPing2x4k</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_r_u_s_t_l_e_t_d_r_i_v_e_r_c_o_m_m_u_n_i_c_a_t_i_o_n.html#ga55e9d1fad29c4b61193ed8fcd050f2ad">TestCase_GC00400_mcMapAndDriverPing3x4k</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_r_u_s_t_l_e_t_d_r_i_v_e_r_c_o_m_m_u_n_i_c_a_t_i_o_n.html#ga9529d8f297d52061c3c4f9e72c3586e9">TestCase_GC00400_mcMapAndDriverPing4x4k</a> ()</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p><b>Involved Components and their required Functionality</b> </p>
<ol type="1">
<li>ClientLib<ol type="a">
<li>Can connect to daemon</li>
<li>Can reserve memory for connection</li>
</ol>
</li>
<li>McDriverDaemon<ol type="a">
<li>Daemon running</li>
<li>Daemon socket accessible by TLC</li>
<li>mcOpenDevice()</li>
</ol>
</li>
<li>DrIntegrationTest Driver<ol type="a">
<li>Module loaded</li>
<li>Module socket accessible by daemon</li>
<li>Module listens for connection</li>
</ol>
</li>
<li>Trusted Application TlTestIntegrationTest<ol type="a">
<li>Trusted Application copied to Android on Test device in registry as 05010000000000000000000000000000.trst</li>
<li>Trusted Application runnable and bug-free </li>
</ol>
</li>
</ol>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gaee347a638b46d691f1f42b80a99ab68e"></a><!-- doxytag: member="00200_TrustletDriverCommunication.cpp::TestCase_GC00101_Trustlet_Ping_SAMPLE_API" ref="gaee347a638b46d691f1f42b80a99ab68e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00101_Trustlet_Ping_SAMPLE_API </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05010000000000000000000000000000 02040000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Repeated Trusted Application-Calls </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Repeated Trusted Application-Calls from Connector for time measuring Trusted Application just answers with accept message, no error message </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>mcWaitNotification() returns MC_DRV_OK.<br/>
 returnCode == RET_OK No additional error code is set.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Performance.00200_TrustletDriverCommunication.GC00101_Trustlet_Ping_SAMPLE_API </dd></dl>

</div>
</div>
<a class="anchor" id="gad1f27c6b90f63720fff273fec3c0df59"></a><!-- doxytag: member="00200_TrustletDriverCommunication.cpp::TestCase_GC00301_Trustlet_Driver_Ping_SAMPLE_API" ref="gad1f27c6b90f63720fff273fec3c0df59" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00301_Trustlet_Driver_Ping_SAMPLE_API </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05010000000000000000000000000000 02040000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Repeated Driver-Calls </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Repeated Driver-Calls from Trusted Application for time measuring Trusted Application just answers with accept message, no error message </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>mcWaitNotification() returns MC_DRV_OK.<br/>
 returnCode == RET_OK No additional error code is set.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Performance.00200_TrustletDriverCommunication.GC00301_Trustlet_Driver_Ping_SAMPLE_API </dd></dl>

</div>
</div>
<a class="anchor" id="gaee5e49affce9044ce2f2c4d21dda6816"></a><!-- doxytag: member="00200_TrustletDriverCommunication.cpp::TestCase_GC00201_Driver_Ping_SAMPLE_API" ref="gaee5e49affce9044ce2f2c4d21dda6816" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00201_Driver_Ping_SAMPLE_API </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05010000000000000000000000000000 02040000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Repeated Trusted Application-Driver-Calls </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Repeated Trusted Application-Driver-Calls from Connector for time measuring Trusted Application just answers with accept message, no error message </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>mcWaitNotification() returns MC_DRV_OK.<br/>
 returnCode == RET_OK No additional error code is set.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Performance.00200_TrustletDriverCommunication.GC00201_Driver_Ping_SAMPLE_API </dd></dl>

</div>
</div>
<a class="anchor" id="gac885594f47af7b328deb6636f8c4f93c"></a><!-- doxytag: member="00200_TrustletDriverCommunication.cpp::TestCase_GC00202_Driver_Ping_SAMPLE_API_NSAMPLES" ref="gac885594f47af7b328deb6636f8c4f93c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00202_Driver_Ping_SAMPLE_API_NSAMPLES </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05010000000000000000000000000000 02040000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Repeated Trusted Application-Driver-Calls </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Repeated Trusted Application-Driver-Calls from Connector for time measuring Trusted Application just answers with accept message, no error message </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>mcWaitNotification() returns MC_DRV_OK.<br/>
 returnCode == RET_OK No additional error code is set.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Performance.00200_TrustletDriverCommunication.GC00202_Driver_Ping_SAMPLE_API_NSAMPLES </dd></dl>

</div>
</div>
<a class="anchor" id="gaff65fc5a982dfceea2f52cc0924bd4b5"></a><!-- doxytag: member="00200_TrustletDriverCommunication.cpp::TestCase_GC00400_mcMallocWsm" ref="gaff65fc5a982dfceea2f52cc0924bd4b5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00400_mcMallocWsm </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05010000000000000000000000000000 02040000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Repeated buffer allocation/mapping </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Repeated calls to mcMallocWsm </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>mcWaitNotification() returns MC_DRV_OK.<br/>
 returnCode == RET_OK No additional error code is set.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Performance.00200_TrustletDriverCommunication.GC00400_mcMallocWsm </dd></dl>

</div>
</div>
<a class="anchor" id="ga06977432e72f67d71fe9538915666dc8"></a><!-- doxytag: member="00200_TrustletDriverCommunication.cpp::TestCase_GC00400_mcMap" ref="ga06977432e72f67d71fe9538915666dc8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00400_mcMap </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05010000000000000000000000000000 02040000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Repeated buffer allocation/mapping </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Repeated calls to mcMap </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>mcWaitNotification() returns MC_DRV_OK.<br/>
 returnCode == RET_OK No additional error code is set.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Performance.00200_TrustletDriverCommunication.GC00400_mcMap </dd></dl>

</div>
</div>
<a class="anchor" id="ga8d7c2925ea87a19a7f849cf5621ab651"></a><!-- doxytag: member="00200_TrustletDriverCommunication.cpp::TestCase_GC00400_mcMapAndDriverPing1x4k" ref="ga8d7c2925ea87a19a7f849cf5621ab651" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00400_mcMapAndDriverPing1x4k </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05010000000000000000000000000000 02040000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Repeated buffer allocation/mapping </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Ping with multiple buffers </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>mcWaitNotification() returns MC_DRV_OK.<br/>
 returnCode == RET_OK No additional error code is set.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Performance.00200_TrustletDriverCommunication.GC00400_mcMapAndDriverPing1x4k </dd></dl>

</div>
</div>
<a class="anchor" id="gaf8d79591f439c261c828ad9b8a549b0b"></a><!-- doxytag: member="00200_TrustletDriverCommunication.cpp::TestCase_GC00400_mcMapAndDriverPing2x4k" ref="gaf8d79591f439c261c828ad9b8a549b0b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00400_mcMapAndDriverPing2x4k </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05010000000000000000000000000000 02040000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Repeated buffer allocation/mapping </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Ping with multiple buffers </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>mcWaitNotification() returns MC_DRV_OK.<br/>
 returnCode == RET_OK No additional error code is set.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Performance.00200_TrustletDriverCommunication.GC00400_mcMapAndDriverPing2x4k </dd></dl>

</div>
</div>
<a class="anchor" id="ga55e9d1fad29c4b61193ed8fcd050f2ad"></a><!-- doxytag: member="00200_TrustletDriverCommunication.cpp::TestCase_GC00400_mcMapAndDriverPing3x4k" ref="ga55e9d1fad29c4b61193ed8fcd050f2ad" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00400_mcMapAndDriverPing3x4k </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05010000000000000000000000000000 02040000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Repeated buffer allocation/mapping </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Ping with multiple buffers </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>mcWaitNotification() returns MC_DRV_OK.<br/>
 returnCode == RET_OK No additional error code is set.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Performance.00200_TrustletDriverCommunication.GC00400_mcMapAndDriverPing3x4k </dd></dl>

</div>
</div>
<a class="anchor" id="ga9529d8f297d52061c3c4f9e72c3586e9"></a><!-- doxytag: member="00200_TrustletDriverCommunication.cpp::TestCase_GC00400_mcMapAndDriverPing4x4k" ref="ga9529d8f297d52061c3c4f9e72c3586e9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00400_mcMapAndDriverPing4x4k </td>
          <td>(</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="user"><dt><b>Trusted Applications dependencies:</b></dt><dd>05010000000000000000000000000000 02040000000000000000000000000000 </dd></dl>
<dl class="user"><dt><b>Pre Conditions:</b></dt><dd>Involved components running and functioning </dd></dl>
<dl class="user"><dt><b>Focus:</b></dt><dd>Repeated buffer allocation/mapping </dd></dl>
<dl class="user"><dt><b>Test Steps:</b></dt><dd>Ping with multiple buffers </dd></dl>
<dl class="user"><dt><b>Verification:</b></dt><dd>mcWaitNotification() returns MC_DRV_OK.<br/>
 returnCode == RET_OK No additional error code is set.<br/>
 Test output is OK. </dd></dl>
<dl class="user"><dt><b>Post Conditions:</b></dt><dd>none </dd></dl>
<dl class="user"><dt><b>Manual Execution:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Trustonic Test Suite Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Final Device Testcase:</b></dt><dd><a href="group___final___device.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Extensive Testcase:</b></dt><dd><a href="group___extensive.html">Yes</a>  </dd></dl>
<dl class="user"><dt><b>Basic Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Quick Testcase:</b></dt><dd>No </dd></dl>
<dl class="user"><dt><b>Test ID:</b></dt><dd>Performance.00200_TrustletDriverCommunication.GC00400_mcMapAndDriverPing4x4k </dd></dl>

</div>
</div>
</div>
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
